
Infrastructure - Bug #3028

D1Client.getMN(NodeReference) doesn't raise exception when a node not found in nodelist

2012-06-26 20:51 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.3 Story Points:  

Product Version: *   

Description

this is bad, because it creates an MNode instance where the baseUrl is null.

(the bad identifier is in sandbox, where the replica has an unregistered node:

urn:node:cnSandboxcompleted2012-06-25T00:00:00.000+00:00

History

#1 - 2012-06-26 21:18 - Rob Nahf

- Milestone changed from None to CCI-1.0.2

- Category set to d1_libclient_java

- Status changed from New to In Progress

- Assignee set to Rob Nahf

- % Done changed from 0 to 80

#2 - 2012-06-28 17:38 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

- Subject changed from D1Client.getMN(NodeReference) doesn't raise exception when a node not found in novelist to

D1Client.getMN(NodeReference) doesn't raise exception when a node not found in nodelist

fixed in version 1.0.3 generated in libclient_java_1.0.1 branch.
